---
title: Delete a schema
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Schema Validation](https://developers.cloudflare.com/api/go/resources/schema_validation)

[Schemas](https://developers.cloudflare.com/api/go/resources/schema_validation/subresources/schemas)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a schema

client.SchemaValidation.Schemas.Delete(ctx, schemaID, body) (\*[SchemaDeleteResponse](<https://developers.cloudflare.com/api/go/resources/schema_validation#(resource)%20schema_validation.schemas%20%3E%20(model)%20SchemaDeleteResponse%20%3E%20(schema)>), error)

DELETE/zones/{zone\_id}/schema\_validation/schemas/{schema\_id}

Permanently removes an uploaded OpenAPI schema from API Security. Operations using this schema will lose their validation rules.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Domain API Gateway`

##### ParametersExpand Collapse

schemaID string

UUID.

maxLength36

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20schema_id%20%3E%20(schema)>)

<details>

<summary>

body SchemaDeleteParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20schema_validation.schemas%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type SchemaDeleteResponse interface{…}

Schema deletion returns no result body.

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(model)%20SchemaDeleteResponse%20%3E%20(schema)>)

### Delete a schema

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/schema_validation"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  schema, err := client.SchemaValidation.Schemas.Delete(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    schema_validation.SchemaDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", schema)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```